Subject: Re: [PATCH net-next 7/8] net/mlx5e: XDP TX forwarding support

From: Thomas Graf <[email-masked]>
Date: Tue, 20 Sep 2016 18:58:51 +0200

On 09/20/16 at 09:45am, Alexei Starovoitov wrote:
> that's a great idea. Instead of adding aborted, ring_full, blahblah counters
> everywhere that cost performance, let's add tracepoints that are nops
> when not in use.
> And if all drivers call the same tracepoints it will be even better.
> Monitoring trace_xdp_aborted tracepoint would be generic way to debug
> 'divide by zero'.

Not opposed but I still need an indication to start tracing ;-) A
single counter would be enough though.